## cascading.tuple.collect
Interface Spillable.SpillListener

Enclosing interface:
  Spillable

    public static interface Spillable.SpillListener

Field Summary
`static Spillable.SpillListener` `NULL`

Method Summary
`void` `notifyReadSpillBegin(Spillable spillable)`
`void` `notifyWriteSpillBegin(Spillable spillable, int spillSize, String spillReason)`
`void` `notifyWriteSpillEnd(SpillableTupleList spillableTupleList, long duration)`

Field Detail

### NULL

    static final Spillable.SpillListener NULL

Method Detail

### notifyWriteSpillBegin

    void notifyWriteSpillBegin(Spillable spillable,
                               int spillSize,
                               String spillReason)

### notifyWriteSpillEnd

    void notifyWriteSpillEnd(SpillableTupleList spillableTupleList,
                             long duration)

### notifyReadSpillBegin

    void notifyReadSpillBegin(Spillable spillable)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.